﻿using WordPressPCL;
using WordPressPCL.Models;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    private async static Task Main()
    {
        string baseURL             = "https://somebody_wordpress.com/wp-json/";
        string userID              = "사용자ID";
        string applicationPassword = "애플리케이션 패스워드";

        WordPressClient client = new WordPressClient(baseURL);

        client.Auth.UseBasicAuth(userID, applicationPassword);

        try
        {
            IEnumerable<MediaItem> mediaItemEnumerable = await client.Media.GetAllAsync(useAuth : true);

            foreach(MediaItem mediaItem in mediaItemEnumerable)
            {
                Console.WriteLine($"{mediaItem.Id}");
                Console.WriteLine($"{mediaItem.MediaType}");
                Console.WriteLine($"{mediaItem.Link}");
                Console.WriteLine($"/wp-content/uploads/{mediaItem.MediaDetails.File}");
                Console.WriteLine();
            }
        }
        catch(Exception exception)
        {
            Console.WriteLine(exception.ToString());
        }
    }

    #endregion
}